Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1826812 - [abrt] pipewire-utils: fprintf(): spa-inspect killed by SIGSEGV
Summary: [abrt] pipewire-utils: fprintf(): spa-inspect killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ef64d86dc1460215407ef439ad9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-22 15:24 UTC by Bruno Vernay
Modified: 2020-05-07 03:10 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.4-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-07 03:10:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: core_backtrace (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: cpuinfo (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: dso_list (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: environ (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: exploitable (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: limits (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: maps (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: mountinfo (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: open_fds (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details
File: proc_pid_status (deleted)
2020-04-22 15:24 UTC, Bruno Vernay
no flags Details

Description Bruno Vernay 2020-04-22 15:24:20 UTC
Description of problem:
❯ spa-inspect /usr/lib64/spa/alsa/libspa-alsa.so
factory name:		'alsa-source'
factory info:
   flags:e8e9f9c0 n_items:32738
[1]    35588 segmentation fault (core dumped)  spa-inspect /usr/lib64/spa/alsa/libspa-alsa.so

Version-Release number of selected component:
pipewire-utils-0.3.2-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1002.slice/user/apps.slice/apps-org.gnome.Terminal.slice/vte-spawn-04afdf0e-c624-4020-af38-6ec199ccce51.scope
cmdline:        spa-inspect /usr/lib64/spa/alsa/libspa-alsa.so
crash_function: fprintf
executable:     /usr/bin/spa-inspect
journald_cursor: s=77dc0d33f487478d83eec619a357b6f7;i=268529;b=20c6824f31d848ef958fc724e976b395;m=6d62fcd8d;t=5a3e2a943e44a;x=b5898ed90ae4743f
kernel:         5.6.2-301.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 fprintf at /usr/include/bits/stdio2.h:100
 #1 spa_debug_dict at ../spa/include/spa/debug/dict.h:43
 #2 inspect_factory at ../spa/tools/spa-inspect.c:209

Comment 1 Bruno Vernay 2020-04-22 15:24:24 UTC
Created attachment 1680903 [details]
File: backtrace

Comment 2 Bruno Vernay 2020-04-22 15:24:26 UTC
Created attachment 1680904 [details]
File: core_backtrace

Comment 3 Bruno Vernay 2020-04-22 15:24:27 UTC
Created attachment 1680905 [details]
File: cpuinfo

Comment 4 Bruno Vernay 2020-04-22 15:24:29 UTC
Created attachment 1680906 [details]
File: dso_list

Comment 5 Bruno Vernay 2020-04-22 15:24:30 UTC
Created attachment 1680907 [details]
File: environ

Comment 6 Bruno Vernay 2020-04-22 15:24:32 UTC
Created attachment 1680908 [details]
File: exploitable

Comment 7 Bruno Vernay 2020-04-22 15:24:33 UTC
Created attachment 1680909 [details]
File: limits

Comment 8 Bruno Vernay 2020-04-22 15:24:35 UTC
Created attachment 1680910 [details]
File: maps

Comment 9 Bruno Vernay 2020-04-22 15:24:36 UTC
Created attachment 1680911 [details]
File: mountinfo

Comment 10 Bruno Vernay 2020-04-22 15:24:37 UTC
Created attachment 1680912 [details]
File: open_fds

Comment 11 Bruno Vernay 2020-04-22 15:24:39 UTC
Created attachment 1680913 [details]
File: proc_pid_status

Comment 12 Wim Taymans 2020-04-22 15:45:56 UTC
This is because we use the new spa-inspect on the old plugins and the version was not changed.

this works:

spa-inspect /usr/lib64/spa-0.2/alsa/libspa-alsa.so

Maybe I can increase the version number and avoid the crash

Comment 13 Fedora Update System 2020-05-01 10:11:58 UTC
FEDORA-2020-92fbf65613 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-92fbf65613

Comment 14 Fedora Update System 2020-05-02 05:54:10 UTC
FEDORA-2020-92fbf65613 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-92fbf65613`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-92fbf65613

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-04 09:40:56 UTC
FEDORA-2020-4581536b33 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4581536b33

Comment 16 Fedora Update System 2020-05-05 05:11:54 UTC
FEDORA-2020-4581536b33 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4581536b33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4581536b33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-05-07 03:10:00 UTC
FEDORA-2020-4581536b33 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.